<!----------------------------------------------------------------------------------------------------------------------
  -- SiteHeader
  --------------------------------------------------------------------------------------------------------------------->

<template>
    <BNavbar variant="dark" data-bs-theme="dark">
        <BNavbarBrand href="/">
            {{ projectName }}
        </BNavbarBrand>
        <BNavbarNav class="me-auto">
            <BNavItem href="/">
                <FaIcon :icon="[ 'fas', 'home' ]" />
                Home
            </BNavItem>
        </BNavbarNav>
        <BNavbarNav class="mb-auto">
            <BNavItemDropdown text="Links" right>
                <BDropdownItem to="/about">
                    <FaIcon :icon="[ 'far', 'circle-question' ]" />
                    About
                </BDropdownItem>
                <BDropdownItem
                    href="https://gitlab.com/skewed-aspect/seed-projects/vue3-bootstrap"
                    target="_blank"
                >
                    <FaIcon :icon="[ 'fab', 'gitlab' ]" style="color: #f90" />
                    GitLab Project
                </BDropdownItem>
            </BNavItemDropdown>
        </BNavbarNav>
    </BNavbar>
</template>

<!--------------------------------------------------------------------------------------------------------------------->

<script setup lang="ts">
    const projectName = '{{ tmplr.project_name }}';
</script>

<!--------------------------------------------------------------------------------------------------------------------->
